> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tinyfn.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Mask Text

> Mask text, keeping only start/end characters visible.



## OpenAPI

````yaml https://api.tinyfn.io/openapi.json get /v1/text/mask
openapi: 3.1.0
info:
  title: TinyFn
  description: >-
    Enterprise-grade infrastructure for checking if 4 is even. And other
    utilities.
  version: 1.0.0
servers: []
security: []
paths:
  /v1/text/mask:
    get:
      tags:
        - Text Analysis
      summary: Mask Text
      description: Mask text, keeping only start/end characters visible.
      operationId: mask_text_v1_text_mask_get
      parameters:
        - name: text
          in: query
          required: true
          schema:
            type: string
            description: Text to mask
            title: Text
          description: Text to mask
        - name: start
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Characters to keep at start
            default: 0
            title: Start
          description: Characters to keep at start
        - name: end
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Characters to keep at end
            default: 0
            title: End
          description: Characters to keep at end
        - name: mask_char
          in: query
          required: false
          schema:
            type: string
            description: Masking character
            default: '*'
            title: Mask Char
          description: Masking character
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````